#!/bin/bash

version='./experiments/illuminat_estimation/resnet18_nob_SG568/version_FS_1'
ckpt='/checkpoints/epoch29_resnet18_102flowers.pt'

python3 ./source/test_illest.py \
  --ckpt $version$ckpt \
  --arch resnet18_nob \
  --first_conv \
  --maxpool1 \
  --dataset SG568 \
  --test \
  --im_dir ../datasets/SG568/ \
  --save_dir $version \
  --threads 4 \
  --device cuda:0
