#!/bin/bash

# unsupervised on cifar100 + finetuning on Cifar100 [default]
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_6/checkpoints/epoch613_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on Flowers102 [default]
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_13/checkpoints/epoch444_resnet18_102flowers.pt'


# unsupervised on cifar100 + finetuning on Cifar100 - No Color augmentations
# ckpt='./experiments/jitter_strenght_exp/cifar100/resnet18_cifar100/version_FT_0/checkpoints/epoch373_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on Flowers102 - No Color augmentations
# ckpt='./experiments/jitter_strenght_exp/cifar100/resnet18_102flowers/version_FT_cifar100_0/checkpoints/epoch366_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 - Default no random grayscale
# ckpt='../Experiments/SimSiam/Cifar100_32x32/FT_Cifar100/3_Default_wo_RGS/checkpoints/epoch360_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on Flowers102 - Default no random grayscale
ckpt='../Experiments/SimSiam/Cifar100_32x32/FT_Flowers102/3_Default_wo_RGS/checkpoints/epoch295_resnet18_102flowers.pt'


# unsupervised on cifar100 + finetuning on Cifar100 + HCJ + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_8/checkpoints/epoch461_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + HCJ + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_15/checkpoints/epoch390_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_7/checkpoints/epoch719_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_14/checkpoints/epoch586_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 + Real PJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_9/checkpoints/epoch579_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + Real PJ
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_16/checkpoints/epoch416_resnet18_102flowers.pt'


# unsupervised on cifar100 + finetuning on Cifar100 + PJ + RG
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_5/checkpoints/epoch406_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + PJ + RG
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_12/checkpoints/epoch530_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 + HCJ + PJ + RG
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_4/checkpoints/epoch615_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + HCJ + PJ + RG
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_11/checkpoints/epoch683_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 + HCJ + PJ + RG
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_10/checkpoints/epoch488_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + HCJ + PJ + RG
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_17/checkpoints/epoch517_resnet18_102flowers.pt'

##### PJ Corrected

# unsupervised on cifar100 + finetuning on Cifar100 + HCJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_11/checkpoints/epoch505_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + HCJ
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_20/checkpoints/epoch609_resnet18_102flowers.pt'


# unsupervised on cifar100 + finetuning on Cifar100 + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_13/checkpoints/epoch253_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_18/checkpoints/epoch317_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 + HCJ + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_14/checkpoints/epoch353_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + HCJ + PJ
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_19/checkpoints/epoch232_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 + PJ + HCJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_15/checkpoints/epoch239_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + PJ + HCJ
# ckpt='./experiments/Fine/_Tuning/resnet18_102flowers/version_FT_cifar100_21/checkpoints/epoch174_resnet18_102flowers.pt'


# unsupervised on cifar100 + finetuning on Cifar100 + PJ CIED
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_16/checkpoints/epoch448_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + PJ CIED
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_22/checkpoints/epoch668_resnet18_102flowers.pt'

# unsupervised on cifar100 + finetuning on Cifar100 + PJ CIED + HCJ
# ckpt='./experiments/Fine_Tuning/resnet18_cifar100/version_FT_cifar100_17/checkpoints/epoch468_resnet18_102flowers.pt'
# unsupervised on cifar100 + finetuning on flowers102 + PJ CIED + HCJ
# ckpt='./experiments/Fine_Tuning/resnet18_102flowers/version_FT_cifar100_23/checkpoints/epoch513_resnet18_102flowers.pt'

for pj_idx in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
do
  python3 ./source/test_cls.py \
    --pj_idx $pj_idx \
    --pj_analysis \
    --batch_size 512 \
    --ckpt $ckpt \
    --arch resnet18 \
    --dataset flowers102 \
    --base_db cifar100 \
    --first_conv \
    --maxpool1 \
    --train_all \
    --threads 8 \
    --device cuda:1


    # --dataset flowers102 \
    # --im_dir ../datasets/102flowers/ \
done
