#!/bin/bash

python3 ./source/simsiam_module.py \
  --arch resnet18 \
  --fp32 \
  --num_workers 4 \
  --dataset cifar100 \
  --optimizer sgd \
  --batch_size 512 \
  --learning_rate 0.03 \
  --max_epochs 800 \
  --weight_decay 0.0005 \
  --gaussian_blur \
  --first_conv \
  --maxpool1 \
  --arch resnet18 \
  --hidden_mlp 512 \
  --online_ft \
  --feat_dim 2048 \
  --gpus 0
