#!/bin/bash

python3 ./source/simsiam_module.py \
  --max_epochs 80000 \
  --fp32 \
  --num_workers 0 \
  --dataset flower102 \
  --optimizer sgd \
  --batch_size 512 \
  --learning_rate 0.03 \
  --weight_decay 0.0005 \
  --gaussian_blur \
  --arch resnet18 \
  --hidden_mlp 512 \
  --online_ft \
  --feat_dim 2048 \
  --gpus 1
