#!/bin/bash

# ckpt='./test_cif10.ckpt'
# Cifar10 FS
# ckpt="./experiments/resnet18_cifar10/version_FS_0/checkpoints/epoch165_resnet18_102flowers.pt"
# Cifar100 FS
# ckpt="./experiments/Fine_Tuning/resnet18_cifar100/version_FS_0/checkpoints/epoch285_resnet18_102flowers.pt"
# Cifar10 SimSiam
# ckpt="./weights/simsiam_cifar10/epoch=799-step=69599.ckpt"
# Cifar100 SimSiam
ckpt="./weights/simsiam_cifar100/epoch=1599-step=139199.ckpt"

# Cifar100 SimSiam jitter 0.5
# ckpt="./tb_logs/SimSiam_cifar100/version_2/checkpoints/epoch=1599-step=139199.ckpt"

# Cifar100 SimSiam jitter 0.4 [best for flowers]
# ckpt="./experiments/jitter_strenght_simsiam/SimSiam_cifar100/version_2/checkpoints/ckpt.ckpt"

# Cifar100 SimSiam no hue-sat jitter
# ckpt="./tb_logs/SimSiam_cifar100/version_3/checkpoints/epoch=1599-step=139199.ckpt"

# Cifar100 SimSiam luminance version
# ckpt="./tb_logs/SimSiam_cifar100/version_7/checkpoints/epoch=1599-step=139199.ckpt"

# --ckpt $ckpt \

python3 ./source/train_illest.py \
  --epochs 500 \
  --lr 0.01 \
  --scheduler \
  --optim sgd \
  --weight_decay 1e-5 \
  --batch_size 128 \
  --arch resnet18 \
  --first_conv \
  --maxpool1 \
  --dataset SG568 \
  --base_db cifar100 \
  --im_dir ../datasets/SG568/ \
  --save_dir ./experiments/illuminat_estimation/ \
  --threads 4 \
  --device cuda:0


  # --from_scratch \
  # --train_all \
  # --scheduler \
